clang-tools 10.0.0

Namespaces
GlobalCompilationDatabaseTests.cpp File Reference
`#include "GlobalCompilationDatabase.h"`
`#include "Path.h"`
`#include "TestFS.h"`
`#include "clang/Tooling/CompilationDatabase.h"`
`#include "llvm/ADT/Optional.h"`
`#include "llvm/ADT/SmallString.h"`
`#include "llvm/ADT/StringExtras.h"`
`#include "llvm/ADT/StringRef.h"`
`#include "llvm/Support/FileSystem.h"`
`#include "llvm/Support/FormatVariadic.h"`
`#include "llvm/Support/MemoryBuffer.h"`
`#include "llvm/Support/Path.h"`
`#include "llvm/Support/raw_ostream.h"`
`#include "gmock/gmock.h"`
`#include "gtest/gtest.h"`
`#include <fstream>`
`#include <string>`
Include dependency graph for GlobalCompilationDatabaseTests.cpp:

Go to the source code of this file.

## Namespaces
| clang
| ===– Representation.cpp - ClangDoc Representation --------—*- C++ -*-===//
| clang::clangd

## Variable Documentation

## ◆ Base

std::unique_ptr<GlobalCompilationDatabase> Base
| protected

Definition at line 83 of file GlobalCompilationDatabaseTests.cpp.

Referenced by clang::tidy::bugprone::isParentOf(), and clang::doc::serialize::parseBases().